<?php
$id = isset($_GET['id']) ? abs((int)$_GET['id']) : false;
if (empty($id)) {
header ('location: /');
exit;
}
$query = DB :: $dbs -> query ("SELECT * FROM `magazin_file` WHERE `id`= ?", [$id]);
if ($query -> rowCount () == 0) {
header ('location: /');
exit;
}
$file = $query -> fetch ();
$pr = DB :: $dbs -> queryFetch ("SELECT * FROM `magazin_pr` WHERE `id`= ?", [$file['id_pr']]);
$r = DB :: $dbs -> queryFetch ("SELECT * FROM magazin_r WHERE id = ?", [$file['id_r']]);
$title->SetTitle('Маркет - Товар ' . $file['name']);
///Подключаем шапку
$title->GetHeader();
echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>Маркет - Товар ' . $file['name'].' </h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li typeof="v:Breadcrumb"><a href="/market" rel="v:url" property="v:title">Маркет</a></li><li typeof="v:Breadcrumb"><a href="/market/kat/'.$r['id'].'" rel="v:url" property="v:title">' . $r['name'].'</a></li><li typeof="v:Breadcrumb"><a href="/market/dir/'.$pr['id'].'" rel="v:url" property="v:title">' . $pr['name'].'</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title">' . $file['name'].'</span></li></ol></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';

if ($file['user_id'] == $b['id'] || $b['level'] >=3) {
echo '<div class="catSides"><a href="/market"><i class="md-format-list-bulleted"></i> Маркет</a> - Действие с товаром</div>
<div class="row text_box"><i class="md-shuffle"></i>   '.($file['block_file'] == 0 ? '<a href="/market/file/'.$id.'?da">[Приостановить продажу]</a>':'<a href="/market/file/'.$id.'?un">[Возобновить продажу]</a>').'</div>';
}
if ($b['level'] >=3) {
echo '<div class="row text_box"><i class="md-shuffle"></i>   '.($file['block'] == 0 ? '<a href="/market/file/'.$id.'?block">[Блокировать товар]</a>':'<a href="/market/file/'.$id.'?unblock">[Разблокировать товар]</a>').'</div>';
}
echo '<div class="catSides"><a href="/market"><i class="md-format-list-bulleted"></i> Маркет</a> - Продажа товара "' . $file['name'].'"</div>';
if ($b['level'] >= 3) {
if (isset($_POST['block'])) {
$block_text = check($_POST['block_text']);
if (empty($block_text)) {
err('Введите причину!');
} else {
$mess = 'Ваш товар <a href="/market/file/'.$id.'">'.$file['name'].'</a> заблокирован администратором '.Nick($b['id']).' по причине [b]'.$block_text.'[/b]!';
jurnal($file['user_id'],$mess,5);
DB::$dbs->query("UPDATE magazin_file SET block = ?, block_text = ?, block_who = ? WHERE id = ? LIMIT 1", [1,$block_text,$b['id'],$id]);
header('location: /market/file/'.$id);
die();
}
}
if (isset($_GET['unblock'])) {
DB::$dbs->query("UPDATE magazin_file SET block = ?, block_text = ?, block_who = ? WHERE id = ? LIMIT 1", [0,NULL,NULL,$id]);
header('location: /market/file/'.$id);
die();
}
if (isset($_GET['block'])) {
echo '<div class="row text_box"><form action="/market/file/'.$id.'?block" method="POST">Причина блокировки (max.: 250):<br/><textarea class="form-control" rows="3" name="block_text"></textarea><br/><input type="submit" class="btn btn-primary" name="block" value="Блокировать"/></form></div>';
}
}
if ($file['block'] == 1) {
echo '<div class="row text_box">'.Nick($file['block_who']).' заблокировал товар по причине: <b>'.text($file['block_text']).'</b></div>';
///Подключаем футер
$title->GetFooter();
die();
}
if ($file['user_id'] == $b['id'] || $b['level'] >= 3) {

if (isset($_GET['da'])) {
if ($file['block_file'] == 1) {
header('location: /market/file/'.$id);
die();
}
$mess = 'Продажа Вашего товар <a href="/market/file/'.$id.'">'.$file['name'].'</a> временно заблокирована!';
jurnal($file['user_id'],$mess,5);
DB::$dbs->query("UPDATE `magazin_file` SET `block_file` = ? WHERE `id` = ? LIMIT 1", [1,$id]);
header('location: /market/file/'.$id);
die();
}
if (isset($_GET['un'])) {
if ($file['block_file'] == 0) {
header('location: /market/file/'.$id);
die();
}
DB::$dbs->query("UPDATE magazin_file SET block_file = ? WHERE id = ? LIMIT 1", [0,$id]);
$mess = 'Продажа Вашего товар <a href="/market/file/'.$id.'">'.$file['name'].'</a> возобновлена!';
jurnal($file['user_id'],$mess,5);
header('location: /market/file/'.$id);
die();
}
}
if (isset($_GET['corz'])) {
if (DB::$dbs->querySingle("SELECT count(id) FROM magazin_korz WHERE file = ? AND user_id = ?", [$id,$b['id']]) == 0) {
DB::$dbs->query("INSERT INTO magazin_korz SET file = ?, user_id = ?, time = ?", [$id,$b['id'],time()]);
echo '<div class="row text_box"><b>Товар добавлен в вашу корзину!</b></div>';
}
}

$array = DB::$dbs->query("SELECT * FROM magazin_screen WHERE file = ? ORDER BY id DESC", [$id]);
if ($array->rowCount()>0) {
echo'<div class="row text_box"><center> ';
while($arr = $array->fetch()){
echo '<a href="/files/mag_screen/'.$arr['screen'].'"> <img src="/files/mag_screen/'.$arr['screen'].'" alt="*" style="max-width:100%; border-bottom-left-radius: 20px; border-bottom-right-radius: 20px; border-top-right-radius: 20px; border-top-left-radius: 20px;"/></a></a> ';
}
echo '<center></div>';
}
echo '<div class="row text_box"><i class="md-description"></i> Название:  <b>'.text($file['name']).'</b></div>
      <div class="row text_box"><i class="md-group"></i> Загрузил: '.Nick($file['user_id']).' ('.vr($file['time']).')</div>
      <div class="row text_box"><i class="md-comment"></i> <b>Описание:</b> '.text($file['opis']).'</div>
      <div class="row text_box"><i class="md md-history"></i> Вес файла:<b> '.get_size(filesize(ROOT.'files/mag_file/'.$file['file'])).'</b></div>
      <div class="row text_box"><i class="md md-history"></i> Стоимость: <b>'.$file['price'].' р.</b> /  продает '.($file['kopii'] !=0 ? $file['kopii'] : 'Неограниченно').' ('.$file['prodano'].' купили)</div>
      <div class="row text_box"><i class="md md-history"></i> <b>'.($file['prava'] == 1 ? 'С правами на перепродажу':'Без прав на перепродажу').'</b></div>
      <div class="row text_box"><i class="md md-history"></i> Добавили в корзину: '.DB::$dbs->querySingle("SELECT COUNT(id) FROM magazin_korz WHERE file = ?", [$id]).'';
if (isset($b)) {
if (DB::$dbs->querySingle("SELECT count(id) FROM magazin_korz WHERE file = ? AND user_id = ?", [$id,$b['id']]) == 0) {
echo '<a href="/market/file/'.$id.'?corz"> [Добавить]</a>';
} }
echo '</div>';
if (isset($b)) {
if ($file['user_id'] != $b['id']) {
echo'<div class="row text_box"><center> ';
if(DB::$dbs->querySingle("SELECT count(id) FROM `magazin_mybuy` WHERE `user_id` = ? AND `file` = ?", [$b['id'],$id]) >0) {
echo '<a href="/market/buy/load/'.$id.'"class="btn btn-primary btn-lg"><b>[Скачать '.text($file['name']).']</b></a></div>';
} else {
if ($file['kopii']==0) {
echo ($file['block_file'] == 0 ? '<a href="/market/buy/'.$file['id'].'"class="btn btn-primary btn-lg">Купить '.text($file['name']).'</a>':'Продажа приостановлена!').'<br/>';
} elseif($file['kopii']>$file['prodano']) {
echo ($file['block_file'] == 0 ? '<a href="/market/buy/'.$file['id'].'"class="btn btn-primary btn-lg">Купить '.text($file['name']).'</a>':'Продажа приостановлена!').'<br/>';
}
echo'</center></div>';
}
if ($file['kopii'] != 0 && $file['kopii']<=$file['prodano']) {
echo '<div class="error">Все копии данного товара проданы!</div>';
}
}
}
if ($b['level']>4){ echo '<div class="row text_box"><a href="/market/zip/'.$file['id'].'"><i class="md-shuffle"></i> Просмотр архива</a></div>';}
$wm = DB::$dbs->queryFetch("SELECT * FROM `blogger` WHERE `id`=?", [$file['user_id']]);
echo '<div class="catSides"><i class="md-format-list-bulleted"></i> Реквизиты ' . $wm['nick'] . ':</div>';
if($wm['wmid'] == NULL){
echo '<div class="error">WMID не заполнен! Не рекомендуем проводить денежные операции! </div>';
} else {
echo '<div class="row text_box">
&#187;   WMID: <a href="https://passport.webmoney.ru/asp/certView.asp?wmid='.$wm['wmid'].'">'.$wm['wmid'].' </a><br/>
&#187;   BL <img src="https://bl.wmtransfer.com/img/bl/'.$wm['wmid'].'?w=35&h=18" /><br/>
&#187;   Претензии/Отзывы: <img src="http://arbitrage.webmoney.ru/xml/AL.aspx?wmid='.$wm['wmid'].'" /><br/>
&#187;   WMR: <a href="http://search.wmtransfer.com/?w=w&q=R'.$wm['wmr'].'">'.$wm['wmr'].'</a><br/>
&#187;   <b>'.($wm['wm']==0?'<font color="red">WMID Не подтвержден!</font>':'<font color="green">WMID подтвержден!</font>').'</b></div>';
echo '<div class="row text_box"><a href="/info/rating.html?id='.$wm['id'].'"><i class="md-shuffle"></i>  Отзывы о ' . $wm['nick'] . ': (<b><font color="green">'.DB :: $dbs -> querySingle("SELECT COUNT(id) FROM arbitage WHERE user_id = ? AND status = ? AND type = ?",[$wm['id'],0,1]).'</font></b>/<b><font color="red">'.DB :: $dbs -> querySingle("SELECT COUNT(id) FROM arbitage WHERE user_id = ? AND status = ? AND type = ?",[$wm['id'],0,2]).'</font></b>)</div></a>';
}

if ($file['user_id']==$b['id']) {
echo '<div class="catSides"><i class="md-format-list-bulleted"></i> Действие с товаром</div>
<div class="row text_box"><a href="/market/whobuy/'.$id.'"><i class="md-shuffle"></i> Покупатели</a></div>
<div class="row text_box"><a href="/market/screen/'.$id.'"><i class="md-shuffle"></i> Параметры скриншотов</a></div>
<div class="row text_box"><a href="/market/refile/'.$id.'"><i class="md-shuffle"></i> Параметры файла</a></div>';
}
echo '<div class="catSides"><i class="md-forum"></i>  Обсуждение товара</div>';
if ($b == true){ 
if (isset($_GET['delkom'])) {
if ($b['level'] < 2){
header('Location: /');
die();
}
DB::$dbs->query("DELETE FROM magazin_komm WHERE id = ?", [abs((int)$_GET['delkom'])]);
header('location: /market/file/'.$id);
die();
}
if (isset($_POST['ok'])) {
$msg = check($_POST['msg']);
if (DB::$dbs->querySingle("SELECT count(id) FROM `magazin_komm` WHERE `text` =? AND `user_id` = ?", [$msg,$b['id']]) > 0) {
$err = 'Вы это уже писали!!!';
} elseif (empty($msg)) {
$err = 'Введите комментарий';
}
if (empty($err)) {
DB::$dbs->query("INSERT INTO magazin_komm SET file = ?, text = ?, time = ?, user_id = ?", [$id,$msg,time(),$b['id']]);
} else {
echo '<div class="error">Ошибка<br/></div>';
}
}
if (isset($_GET['otv'])) {
$otv = abs(intval($_GET['otv']));
$u = DB::$dbs->queryFetch("SELECT * FROM blogger WHERE id = ? LIMIT 1", [$otv]);
if (empty($u['id']) && $u['id']==$b['id']){
header('location:?');
}
$st = $u['nick'].', ';
} else {
$st = '';
}

echo '<div class="row text_box"><form action="/market/file/'.$id.'" method="POST">Комментарий к товару:<br/><br/>';
quickpaste('text');
quickpanel();
echo'</br></br><textarea class="form-control" rows="3" name="msg">'.$st.'</textarea><br/><input type="submit" name="ok" class="btn btn-primary" value="Добавить"/></form></div>';
} else {echo'<div class="row text_box">Только зарегистрированные пользователи могут оставлять комментарии. <a href= "/login" >Войдите</a>, пожалуйста.</div>';}
$k_post = DB::$dbs->querySingle("SELECT COUNT(id) FROM `magazin_komm` WHERE `file` = ?", [$id]);
if ($k_post == 0) {
err('Комментариев нет!');
}
$num = 10;
$k_page = k_page($k_post, $num);
$page = page($k_page);
$start = $num*$page-$num;
$array = DB::$dbs->query("SELECT * FROM `magazin_komm` WHERE `file` = ? ORDER BY time DESC LIMIT $start,$num",[$id]);
while($arr = $array -> fetch()) {
$del = ($b['level']>=2 ? '[<a href="/market/file/'.$id.'?delkom='.$arr['id'].'">Удл</a>] ':NULL);
echo '<div class="row text_box">'.$del . Nick($arr['user_id']).' ('.vr($arr['time']).'] '. (($arr['user_id'] != $b['id']) ? '[<a href="/market/file/'.$id.'?otv='.$arr['user_id'].'">Отв</a>]':NULL).' </br>'.text($arr['text']) .'</div>';
}
if ($k_page > 1) {
str('?id='.$id.'&',$k_page,$page);
}
?>